cdef str CONFIG_FILE

cdef str AI_ONNX_MODEL_FILE
cdef str INT8_CALIB_CACHE_FILE

cdef str CDN_CONFIG
cdef str MODELS_FOLDER

cdef int SMALL_SIZE_KB

cdef str SPLIT_SUFFIX
cdef double TILE_DUPLICATE_CONFIDENCE_THRESHOLD
cdef int METERS_IN_TILE

cdef log(str log_message)
cdef logerror(str error)
cdef format_time(long ms)

cdef dict[int, AnnotationClass] annotations_dict

cdef class AnnotationClass:
    cdef public int id
    cdef public str name
    cdef public str color
    cdef public int max_object_size_meters

cdef enum WeatherMode:
    Norm = 0
    Wint = 20
    Night = 40
